Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence.testing
Class LRUCacheTest

    java.lang.Object
      rice.persistence.testing.Test
          rice.persistence.testing.LRUCacheTest

public class LRUCacheTest
extends Test

This class is a class which tests the Cache class in the rice.persistence package.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected static int` | `CACHE_SIZE` DESCRIBE THE FIELD

Fields inherited from class rice.persistence.testing.Test
`FAILURE, PAD_SIZE, SUCCESS`

Constructor Summary
`LRUCacheTest()` Builds a MemoryStorageTest

Method Summary
`static void` | `main(java.lang.String[] args)` The main program for the LRUCacheTest class
`void` | `setUp(Continuation c)` The JUnit setup method
`void` | `start()` DESCRIBE THE METHOD

Methods inherited from class rice.persistence.testing.Test
`sectionEnd, sectionStart, stepDone, stepDone, stepException, stepStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CACHE_SIZE

    protected static final int CACHE_SIZE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### LRUCacheTest

    public LRUCacheTest()

  Builds a MemoryStorageTest

Method Detail

### setUp

    public void setUp(Continuation c)

  The JUnit setup method

  Parameters:
    `c` - The new Up value

### start

    public void start()

  DESCRIBE THE METHOD

  Specified by:
    `start` in class `Test`

### main

    public static void main(java.lang.String[] args)

  The main program for the LRUCacheTest class

  Parameters:
    `args` - The command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.